Customers
Create customer affiliate payout request
Developer API operation for POST /dev/v1/customers//affiliate/payout-requests.
POST
/
dev
/
v1
/
customers
/
{id}
/
affiliate
/
payout-requests
Create customer affiliate payout request
curl --request POST \
--url https://api.shoppex.io/dev/v1/customers/{id}/affiliate/payout-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 0,
"asset": "<string>",
"address": "<string>",
"network": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 0,
asset: '<string>',
address: '<string>',
network: '<string>',
note: '<string>'
})
};
fetch('https://api.shoppex.io/dev/v1/customers/{id}/affiliate/payout-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/customers/{id}/affiliate/payout-requests"
payload = {
"amount": 0,
"asset": "<string>",
"address": "<string>",
"network": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/customers/{id}/affiliate/payout-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 0,
'asset' => '<string>',
'address' => '<string>',
'network' => '<string>',
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/customers/{id}/affiliate/payout-requests"
payload := strings.NewReader("{\n \"amount\": 0,\n \"asset\": \"<string>\",\n \"address\": \"<string>\",\n \"network\": \"<string>\",\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}Authorizations
Use your Shoppex API key in the Authorization header.
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
⌘I
Create customer affiliate payout request
